<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                   <!-- content -->
                   
                    <div id="the-basics">
                        <input type="text" id="example" />
                    </div>

                    <div class="city" id="testx">
                        
                    </div>

                </div>
            </div>
        </div>
    </section>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
    <script>
        $(document).ready(function(){

           

$("#example").autocomplete({
    source: function(req, response) { 
       $.ajax({
        url: "json/us_states_cities.json",
        dataType: "json",
        success: function( data ) {
            // var re = $.ui.autocomplete.escapeRegex(req.term);
            // var matcher = new RegExp( "^" + re, "i" );
            // response($.greg(data, function(item){
            //     return {value: matcher.test(item.StateName)};
            //     return matcher.test(item.StateName);
               
            // }) );
           

            var datamap = data.map(function(i) {
      return {
        label:  i.StateName
        
      }
    });
    
    var key = req.term;
    
    datamap = datamap.filter(function(i) {
      return i.label.toLowerCase().indexOf(key.toLowerCase()) >= 0;
    });

    response(datamap);
            }
        });

        document.getElementById("testx").innerHTML = "";


     },
      minLength: 2,
      select: function(event, ui) {
          //custom select function if needed
       }
    });




$('.ui-autocomplete').on('click', '.ui-menu-item', function(){
    //console.log($(this).find('a').html());

    var state = $(this).find('a').html();
    
        $.getJSON('json/us_states_cities.json', function(data) {


        var data_filter = data.filter( element => element.StateName == state)
        //console.log(data_filter[0]);
        
        const str = data_filter[0]['CityList'].map(a => `(${ Object.values(a).join("") })`)
                 .join(", ")
                 
// console.log(str);
document.getElementById("testx").innerHTML = str;
        });


});
//


        });
      </script>
</body>
</html>